GNOME Logs 49.0
===============

* meson: Add glib-compile-schemas test
* meson: Add appstreamcli-validate test
* meson: Add desktop-file-validate test
* application: Fix icon name

GNOME Logs 49.rc
================

* Replace links to the wiki and bugzilla
* desktop: Remove the X-GNOME-Utilities category
* Put each main window into its own group
* Updates to Bulgarian, Catalan, Chinese, Czech, Hindi, Interlingua, Japanese,
  Nepali, Serbian, Slovak, Turkish, and Uzbek

GNOME Logs 45.0
===============

* Improve app metainfo from Maximiliano Sandoval
* Updates to Basque, Belarusian, Catalan, Czech,
  Danish, Dutch, English, Esperanto, Finnish, French, Friulian, Galician,
  Georgian, German, Greek, Modern, Hebrew, Hungarian, Indonesian, Italian, Kabyle,
  Kazakh, Korean, Latvian, Lithuanian, Occitan, Panjabi, Polish, Portuguese,
  Portuguese (Brazil), Romanian, Russian, Slovenian, Spanish, Swedish, Turkish

GNOME Logs 45.beta
==================

* Fix filters button style from Alice Mikhaylenko
* Accelerator improvements from Sabri Ünal
* UI improvements from Automeris naranja
* Meson improvements from Artturin, Maximiliano Sandoval R and Matt Turner
* Updates to Abkhazian, Belarusian, Chinese (Taiwan), Hebrew, Swedish and
  Turkish translations
* Add Faroese translation

GNOME Logs 43.0
===============

* Port to AdwAboutWindow from Christopher Davis
* Updated screenshots from Sophie Herold
* Updates to Croatian, Abkhazian, Persian, Turkish, Kabyle, Nepali translations

GNOME Logs 43.beta
==================

* GTK 4 port from Maximiliano Sandoval R
* CI fixes from Bartłomiej Piotrowski and Maximiliano Sandoval R
* Remove redundant glib-mkenums check from Marvin Schmidt
* Add Italian help translation
* Updates to Dutch and Swedish help translation
* Updates to Dutch and Portuguese translations
* Add Abkhazian and Georgian translations

GNOME Logs 42.0
===============

* Opt-in to dark mode user preference from Maximiliano Sandoval R
* Rounded window corners using libhandy from Christopher Davis
* Add feature to open journal files directly
* Port to GtkFileChooserNative from Bas De Bue
* Add several keyboard shortcuts to help overlay from Sabri Ünal
* Window sizing improvements from Guido Günther
* Small fixes from Maximiliano Sandoval R
* Appdata name improvement from Sophie Herold
* Add Basque, Catalan and Portuguese help translations
* Add Kabyle translation
* Updates to Brazilian Portuguese, Chinese (China), Czech, Danish, German,
  Hungarian, Indonesian, Korean, Polish, Portuguese, Russian, Spanish, Swedish
  and Ukrainian help translations
* Updates to Basque, Brazilian Portuguese, British English, Bulgarian, Catalan,
  Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish, Dutch, Finnish,
  French, Friulian, Galician, German, Greek, Hebrew, Hungarian, Icelandic,
  Indonesian, Italian, Japanese, Kazakh, Korean, Latvian, Lithuanian,
  Norwegian Bokmål, Occitan, Persian, Polish, Portuguese, Romanian, Russian,
  Serbian, Slovak, Slovenian, Spanish, Swedish, Turkish and Ukrainian
  translations

GNOME Logs 3.36.0
=================

* new nightly app icon from Jakub Steiner
* add British, Tamil, Indonesian, Malay, Ukrainian and Turkish help
  translations
* updates to British English, Japanese, Indonesian, Spanish, Hungarian, Swedish,
  Brazilian, Finnish, Lithuanian, Romanian, Friulian, Persian, Italian, Czech,
  Chinese (Taiwan), German, Galician, Greek, Slovak, Croatian, French, Serbian,
  Turkish, Basque, Dutch, Korean, Danish, Slovenian, Ukrainian, Polish, Malay
  and Latvian translations

GNOME Logs 3.34.0
=================

* Avoid segfault when updating the boot menu
* Fix application name in about dialog
* Fixed unfunctional translations in meson
* updates to Basque, Friulian, Persian and Catalan translations

GNOME Logs 3.33.2
=================

* removing tests option in meson build system
* update to Chinese (China) translation

GNOME Logs 3.33.1
=================

* Fixed abnormal headerbar height
* Dropped autotools support from Jeremy Bicha
* Fixed manpage check and version number in meson
* Adding flatpak manifest and gitlab ci from Florian Müllner
* Updates to Croatian and Danish translations

GNOME Logs 3.32.0
=================

* avoid segfault when updating latest timestamp
* updates to Finnish, Hungarian, Galician, Romanian, Indonesian, Polish, Czech,
  Kazakh, Chinese (Taiwan), French, Dutch, Lithuanian, Brazilian Portuguese,
  Italian, Russian, Serbian, German, Latvian, Korean and Catalan translations

GNOME Logs 3.31.4
=================

* updated DOAP file from Andre Klapper
* code clean up
* replacing *_get_type() with g_type_ensure()
* fix app icon not showing in about dialog
* updates to Greek, Friulian, Swedish and Turkish translations

GNOME Logs 3.31.3
=================

* improved app icon from Jakub Steiner
* updates to Esperanto, Slovenian, Spanish and French translations

GNOME Logs 3.31.2
=================

* updated app icon from Jakub Steiner
* retire app menu
* updates to Swedish, Czech, Slovenian and Malayalam translations

GNOME Logs 3.30.0
=================

* install AppData XML to metainfo from Bjørn Lie
* Update MSGID_BUGS_ADDRESS in po/Makevars from Piotr Drąg
* updates to Belarusian and Korean translations

GNOME Logs 3.29.4
=================

* disable exporting logs when there are none from ankritisachan
* update GTK+ requirement in README
* various fixes in meson build system
* fix typo in meson build system from Bjørn Lie
* dropped dogtail test case
* updates to Chinese (China), Greek and Romanian translations

GNOME Logs 3.29.1
=================

* only show similar timestamps once from ankritisachan
* various memory leak fixes
* exporting blank journal crash fix from H00ly666
* updates to Russian and Polish translations

GNOME Logs 3.28.0
=================

* updates to Danish, Greek, Croation and Serbian Latin translations

GNOME Logs 3.27.92
==================

* updates to Brazilian Portuguese, Turkish, Galician, Dutch, Latvian,
  Italian, Slovak, French, Scottish Gaelic, Lithuanian, Kazakh
  and Chinese(Taiwan) translations

GNOME Logs 3.27.90
==================

* avoid using hard-coded colors from Jakub Steiner
* updates to Finnish, Hungarian and Polish translations

GNOME Logs 3.27.4
=================

* add meson build system
* add missing LINGUAS file
* add warning cflags support in meson
* updates to Spanish, Serbian and Swedish translations

GNOME Logs 3.27.3
=================

* update to Indonesian translation

GNOME Logs 3.27.2
=================

* update timestamps in boot selection menu when necessary
* updates to German, Czech, Slovenian, Friulian, Norwegian bokmål and
  Croatian translations

GNOME Logs 3.27.1
=================

* migration from intltool to gettext from Niels De Graef
* updated po/Makevars and translator comment in .desktop file from Piotr Drąg
* marking missing strings for translation from Piotr Drąg
* updates to Polish and French help screenshots
* updates to Dutch, Spanish, Greek, Russian, Persian, Catalan (Valencian)
  and Nepali translations

GNOME Logs 3.26.0
=================

* updates to French, Catalan, Basque, Swedish and Danish translations

GNOME Logs 3.25.92
==================

* updates to Slovak, Lithuanian, Danish, British English, Chinese (Taiwan),
  Latvian, Italian, Brazilian Portuguese and Korean translations

GNOME Logs 3.25.91
==================

* updates to Friulian, Indonesian, Slovenian, Polish, Galician, Serbian,
  Finnish, Turkish, Kazakh, Czech and German translations

GNOME Logs 3.25.90
==================

* add a Ignore button to info bar
* various event compression UI improvements from Pranav Ganorkar
* translatable string improvement from Piotr Drąg
* require GTK+ 3.22 to build from Jeremy Bicha
* add Malayalam translation
* updates to Spanish, Kazakh, Croatian, German, Slovenian, Croatian,
  Hungarian and Spanish translations

GNOME Logs 3.25.4
=================

* moving sorting to GlJournalModel from Pranav Ganorkar
* event compression related fixes from Pranav Ganorkar
* removing GlEventView type and displaying detailed event information in
  popover from Pranav Ganorkar
* removed tooltip for each row and size group for widgets in each row
* add Polish help translation
* updates to Catalan, Friulian and Indonesian translations

GNOME Logs 3.25.1
=================

* avoid some deprecated GTK+ API
* increase default window size to 1200*780
* updates to Korean, Hungarian, German, Slovak, Spanish, Lithuanian,
  Norwegian bokmål, Polish, Latvian, Greek and Serbian translations
* add Croatian translation

GNOME Logs 3.24.0
=================

* mark forgotten translation strings from Piotr Drąg
* updates to Danish, Occitan, Swedish, German, Scottish Gaelic, Italian,
  French, Russian, Turkish, Korean, Latvian, Kazakh, Polish, Friulian,
  Galician, Indonesian, Brazilian Portuguese, Ukrainian and Czech translations

GNOME Logs 3.23.91
==================

* updates to Norwegian bokmål, Basque, Chinese (Taiwan), Friulian and Serbian
  translations

GNOME Logs 3.23.90
==================

* translator comments improvement from Piotr Drąg
* exact search type crash fix from Pranav Ganorkar
* fix crash when users don't have proper permissions
* updates to Slovak, Chinese, Polish, Galician and Indonesian translations

GNOME Logs 3.23.4
=================

* keep boot_match as a duplicated string
* rename some functions
* updates to Kazakh, Finnish and Brazilian Portuguese translations

GNOME Logs 3.23.3
=================

* fix search results not remembered
* update to Russian translation

GNOME Logs 3.23.2
=================

* improved quick search behavior and search performance
* use Unicode in translatable strings
* updates to Friulian, Czech, Lithuanian, Spanish and German translations

GNOME Logs 3.23.1
=================

* add search popover from Pranav Ganorkar
* fix CSS parsing error and clean up an unused function
* updated POTFILES.in
* update to Danish help translation
* updates to Basque, Italian, Thai, Norwegian bokmål and Hungarian translations

GNOME Logs 3.22.0
=================

* add Scottish Gaelic translation
* update to Ukrainian translation

GNOME Logs 3.21.92
==================

* fix a startup crash when the journal is empty
* updates to Polish, Spanish, Slovenian, Hungarian, German, Friulian,
  Serbian, French, Kazakh, Lithuanian, Vietnamese, Swedish, Latvian,
  Galician, Greek, Danish, Korean and Persian translations

GNOME Logs 3.21.90
==================

* refactoring and movement of several journal query features to the model from
  the view from Pranav Ganorkar
* improved check for journal read permissions from Dirk Maetens
* updates to Turkish, Slovak, Finnish, Czech, Portuguese, Brazilizan
  Portuguese, Indonesian and British English translations

GNOME Logs 3.21.3
=================

* substitute a newline character in single-line strings from Pranav Ganorkar
* tooltip string improvement from Jonathan Kang
* GSettings schema translation improvements
* use AM_DISTCHECK_CONFIGURE_FLAGS
* updates to Vietnamese, Persian, Hungarian, Spanish, Swedish, Occitan,
  Friulian, Portuguese, German, Turkish, Indonesian Brazilian Portuguese and
  Slovak translations

GNOME Logs 3.20.0
=================

* update to Hungarian help translation
* updates to Russian, Danish, French, Serbian and Korean translations

GNOME Logs 3.19.92
==================

* scrolling in the details view from Jonathan Kang
* update to Korean help translation
* updates to Hebrew, Finnish, Kazakh, Latvian, Friulian, Lithuanian, Slovenian,
  Serbian and Korean translations

GNOME Logs 3.19.91
==================

* use a different export icon from Jonathan Kang
* improved error handling from Jonathan Kang
* updates to Galician, Occitan, Czech, Swedish and Serbian translations

GNOME Logs 3.19.90
==================

* updated AppData file from Richard Hughes
* add context to shortcuts window strings from Piotr Drąg
* updates to German, Hungarian, Spanish, Latvian, Slovak, Greek, Polish,
  Bulgarian, Brazilian Portuguese and Chinese (Taiwan) translations

GNOME Logs 3.19.4
=================

* fix test error in tests/test-gl-util.c
* updates to Slovak, Spanish, Lithuanian, Finnish, Czech, German,
  Brazilian Portuguese, Greek and Norwegian bokmål translations

GNOME Logs 3.19.3
=================

* show seconds in details view and exported logs
* set default icon from Arnaud Bonatti
* avoid double frees on journal errors
* use GtkShortcutsWindow
* updates to Spanish, Greek, Portuguese, Slovak and Kazakh translations

GNOME Logs 3.19.2
=================

* improve startup time
* add full log text as tooltip for each row
* fix CSS class name typo in details view
* updates to Portuguese, Hungarian, Occitan, Norwegian bokmål, Spanish and
  Lithuanian translations

GNOME Logs 3.19.1
=================

* search string tokenization crash fix from Jonathan Kang
* simple log export from Jonathan Kang
* single boot item menu fix from Lars Uebernickel
* add Jonathan Kang as a maintainer
* log view permissions warning from Jonathan Kang
* clickable Support link from Jonathan Kang
* update to Greek help translation
* updates to Serbian, Serbian Latin, Irish, Vietnamese, Finnish, Basque and
  Czech translations

GNOME Logs 3.18.0
=================

* updates to Italian, Lithuanian, Kazakh, Korean, German, Norwegian bokmål,
  Slovenian, Finnish, Persion, Brazilian Portuguese, Swedish, Danish and Czech
  translations

GNOME Logs 3.17.91
==================

* boot selection UI improvements from Jonathan Kang
* updates to Swedish, Galician, Slovak, Polish, French, Portuguese, Spanish,
  Chinese (Taiwan), Turkish, Russian, Greek, Indonesian and Hungarian
  translations

GNOME Logs 3.17.90
==================

* update list box row behavior after GTK+ change
* monospace font for all log view text, and alignement fixes from Jonathan Kang
* boolean search combinations from Jonathan Kang
* Friulian translation
* update to Swedish help translation
* updates to Czech, Slovak, Norwegian bokmål and Brazilian Portuguese
  translations

GNOME Logs 3.17.4
=================

* view events from different boots from Jonathan Kang
* support for searching using journal fields from Jonathan Kang
* updates to Hungarian, German, Portuguese, Russian, Slovenian, Spanish,
  Swedish and Tajik translations

GNOME Logs 3.17.3
=================

* single-line three-column log event view from Jonathan Kang
* updates to Spanish, Slovak, Romanian, German and Hungarian translations

GNOME Logs 3.17.2
=================

* update journal dependency to libsystemd from Rashi Aswani
* Occitan translation
* update to Chinese translation

GNOME Logs 3.17.1
=================

* port to G_DECLARE_FINAL_TYPE
* symbolic application icon from Jakub Steiner
* Dogtail installed test from Rashi Aswani
* CSS provider simplification from Arnaud Bonatti
* fix for variable initialization from Jonathan Kang

GNOME Logs 3.16.0
=================

* fix timestamp comparison test
* Swedish help translation
* update to Thai translation

GNOME Logs 3.15.92
==================

* Bosnian, Tajik and Japanese translations
* updates to Serbian, Polish, Korean, French, Swedish, Finnish and Danish
  translations

GNOME Logs 3.15.91
==================

* on-demand loading of journal entries from Lars Uebernickel
* updates to Chinese (Taiwan), Kazakh, Ukrainian, Greek and Lithuanian
  translations

GNOME Logs 3.15.90
==================

* port to GListModel from Lars Uebernickel
* extensive refactoring of the journal query code from Lars Uebernickel
* mark the application as busy when reading from the journal from Lars
  Uebernickel
* unit test for timestamp comparison from Ekaterina Gerasimova
* updates to Aragonese, Slovak, Esperanto, Norwegian bokmål, Turkish, Swedish,
  Slovenian and Italian translations

GNOME Logs 3.15.4
=================

* preliminary asynchronous querying of the journal
* updates to Spanish, Indonesian, Brazilian Portuguese, Basque, Norwegian
  bokmål, Czech, German, Russian, Galician and Vietnamese translations

GNOME Logs 3.15.3
=================

* an option for the sort order of the event list from Jonathan Kang
* updates to Czech and Hungarian translations

GNOME Logs 3.15.2
=================

* only show the categories list when relevant from Jonathan Kang
* substitute binary path in service file correctly
* add elements to AppData to fix validation
* Thai, Vietnamese and Norwegian bokmål translations
* updates to Russian, Greek, Dutch and Romanian translations

GNOME Logs 3.15.1
=================

* Coverity warning fix
* enhanced systemd message catalog parsing and display from Jonathan Kang
* Persian and Kazakh translations
* updates to Brazilian Portuguese, Hungarian, Norwegian bokmål and Spanish
  translations

GNOME Logs 3.14.0
=================

* Nepali translation
* update to German and Turkish translation
* German translation of help

GNOME Logs 3.13.92
==================

* validate AppData XML with appstream-glib instead of appdata-tools
* translatable application name in desktop file from Piotr Drąg
* Galician translation of help

GNOME Logs 3.13.91
==================

* add extra Utilities category to the desktop file from Elad Alfassa

GNOME Logs 3.13.90
==================

* add licenses to AppData description
* Assamese translation
* update to Romanian translation

GNOME Logs 3.13.4
=================

* increase category list padding
* use new GtkApplication appmenu resource handling
* match desktop file name in AppData
* avoid deprecated xalign property
* use GtkIconTheme RTL support
* translated application name fixes from Aaron Hamilton
* Arabic translation
* updates to Greek and Norwegian bokmål translations
* Russian translation of help

GNOME Logs 3.13.3
=================

* warning fix by Daiki Ueno

GNOME Logs 3.13.2
=================

* use widget GtkBuilder templates for the event detail view
* avoid using deprecated GtkMisc
* Turkish translation
* update to Swedish and Catalan (Valencian) translation

GNOME Logs 3.13.1
=================

* add a D-Bus service file and make the application D-Bus activatable
* avoid some deprecated GTK+ API
* Brazilian Portuguese translations of help
* British English, Slovak and Dutch translations
* updates to Slovenian and Greek translations

GNOME Logs 3.12.0
=================

* Greek and Hungarian translations of help
* Portuguese, Telgu, Danish, Norwegian bokmål, Czech and Basque translations
* updates to Italian, Slovenian, Serbian, Traditional Chinese and Russian
  translations

GNOME Logs 3.11.92
==================

* add Utility category to the desktop file
* Spanish and French translations of help
* German, Korean, Punjabi, Latvian, Russian, Catalan and French translations
* updates to Hungarian, Brazilian Portuguese, Chinese, Spanish, Galician,
  Ukrainian, Hebrew and Finnish translations

GNOME Logs 3.11.91
==================

* several keyboard navigation improvements
* --version command-line argument support from Paolo Borelli
* Mallard help from Ekaterina Gerasimova
* updates to Czech and Polish translations

GNOME Logs 3.11.90
==================

* batch loading of journal items so that the UI remains responsive
* show a Help item in the application menu
* validate the desktop file during make check
* updates to Serbian, Brazilian Portuguese, Spanish, Galician, Czech, Polish
  and Ukrainian translations

GNOME Logs 3.11.5
=================

* show application icon if a corresponding desktop file is found
* show priority, kernel device and audit session in details view
* hide unimplemented UI labels
* updates to Serbian, Greek, Finnish and Galician translations

GNOME Logs 3.11.3
=================

* validate AppData during distcheck
* add man page
* add icon
* Simplified Chinese translation
* updates to Spanish, Polish, Czech and Italian translations

GNOME Logs 3.11.2
=================

* add and validate AppData
* load log events for the current category only
* show log events from the current boot only
* pretty timestamp formats
* Hungarian and Italian translation
* updates to Brazilian Portuguese, Polish and Finnish translations

GNOME Logs 3.11.1
=================

* support case-insensitive search
* show timestamps against messages in the event view
* use a monospace font for log messages
* use a single header bar
* switch the default category to "important" and match the mockups
* refactor code to read messages from the journal
* .desktop file fix from Colin Walters
* show the message catalog entry for a message in the details view
* RTL and style fixes from Yosef Or Boczko
* category switching fix from Matthias Clasen
* several translations, including Indonesian, Spanish, Brazilian Portugese,
  Czech, Slovenian, Polish and Serbian
* many other fixes

GNOME Logs 0.1
==============

Initial release.
